package com.api.customization.qc2988837.Util;

import com.engine.kq.log.KQLog;
import weaver.conn.RecordSet;
import weaver.general.BaseBean;

public class KqCustomUtil {

    /**
     * 是否建模表配置不统计，不计算考勤
     * @param resourceId
     * @param workDate
     * @return
     */
    public boolean isExclude(String resourceId,String workDate){
        KQLog kqLog = new KQLog();
        RecordSet rs = new RecordSet();
        boolean isExculde = false;
        String tableName = new BaseBean().getPropValue("qc2988837","tableName");
        String resourceField = new BaseBean().getPropValue("qc2988837","resourceField");
        String fromDateField = new BaseBean().getPropValue("qc2988837","fromDateField");
        String toDateField = new BaseBean().getPropValue("qc2988837","toDateField");
        String sql = "select "+resourceField+","+fromDateField+","+toDateField+" from "+tableName+
                " where FIND_IN_SET("+resourceId+","+resourceField+") > 0 and '"+workDate+"' between "+fromDateField+" and "+toDateField;
        kqLog.info("该人员当天是否不计算考勤:" + sql);
        rs.executeQuery(sql);
        if (rs.next()){
            isExculde = true;
        }

        return isExculde;
    }
}
