package com.engine.kq.biz;

import com.engine.kq.log.KQLog;
import weaver.interfaces.schedule.BaseCronJob;

public class KQClearFormatPoolJob extends BaseCronJob {
    private KQLog kqLog = new KQLog();
    @Override
    public void execute() {
        kqLog.info("begin do KQClearFormatPoolJob invoke ...");
        try {
            KQFormatBiz kqFormatBiz = new KQFormatBiz();
            kqFormatBiz.clearFormatPool();
            kqLog.info("end do KQClearFormatPoolJob invoke  ...");
        } catch (Exception e) {
            kqLog.info(e);
        }
    }
}
