package com.engine.leshanvc.enums;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2023/2/13
 * @Version V1.0
 **/
public enum MessageContentEnum {

    ONE(3,3,11),
    TWO(11,11,36),
    THREE(36,36,60),
    FOUR(60,60,80),
    FIVE(80,80,12)
    ;

    private int value;

    private int min;

    private int max;


    MessageContentEnum(int value, int min, int max) {
        this.value = value;
        this.min = min;
        this.max = max;
    }

    public int getValue() {
        return value;
    }

    public int getMin() {
        return min;
    }

    public int getMax() {
        return max;
    }
}
