package weaver.interfaces.leshanvc.formmode;

import weaver.conn.RecordSet;
import weaver.formmode.interfaces.PopedomCommonAction;

/**
 * @Author ml
 * @Date 2023/3/14 17:18
 * @Description 离职登记扣款按钮显示
 * @Since version-1.0
 */
public class LeaveCheckInCutPayBtnShow implements PopedomCommonAction {
    /**
     * 说明
     * 修改时
     * 类名要与文件名保持一致
     * class文件存放位置与路径保持一致。
     * 请把编译后的class文件，放在对应的目录中才能生效
     * 注意 同一路径下java代码名不能相同。
     *
     * 得到是否显示操作项
     * @param modeid 模块id
     * @param customid 查询列表id
     * @param uid 当前用户id
     * @param billid 表单数据id
     * @param buttonname 按钮名称
     * @retrun "true"或者"false"true显示/false不显示
     */
    @Override
    public String getIsDisplayOperation(String modeid, String customid,String uid, String billid, String buttonname) {
        RecordSet rs = new RecordSet();
        String sql = "select spzt from uf_lzgl where id=?";
        rs.executeQuery(sql,billid);
        String res = "true";
        if (rs.next()) {
            String status = rs.getString("spzt");
            if("2".equals(status)){
                res =  "true";
            }else{
                res = "false";
            }
        }
        return res;
    }
}
