package weaver.interfaces.leshanvc.workflow.util;

import java.util.HashMap;
import java.util.Map;
import java.util.function.Function;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2023/2/13
 * @Version V1.0
 **/
public class FunctionInterfaceMessage {

    private Map<Integer, Function<Integer,String>> MessageMap;


    private void init(){
        MessageMap = new HashMap<>();
        MessageMap.put(1,this::workTimeNotice);
        MessageMap.put(2,this::workDayNotice);
    }

    public String doOperation(Integer params,Integer status) {
        this.init();
        return MessageMap.get(status).apply(params);

    }

    private String workTimeNotice(Integer hour){
        return "您本月已累计加班超"+hour+"小时，请注意休息。";
    }

    private String workDayNotice(Integer params){
        return "您已连续工作达6天，请注意休息。";
    }



}
