package com.engine.leshanvc.cmd;

import com.engine.common.biz.AbstractCommonCommand;
import com.engine.common.entity.BizLogContext;
import com.engine.core.interceptor.CommandContext;
import weaver.conn.RecordSet;
import weaver.general.Util;
import weaver.hrm.User;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2023/2/21
 * @Version V1.0
 **/
public class EntryWorkflowSaveEventCmd extends AbstractCommonCommand<Map<String, Object>> {

    public EntryWorkflowSaveEventCmd(Map<String, Object> params, User user) {
        this.user = user;
        this.params = params;
    }

    @Override
    public BizLogContext getLogContext() {
        return null;
    }

    @Override
    public Map<String, Object> execute(CommandContext commandContext) {
        Map<String, Object> apidatas = new HashMap<>(16);
        RecordSet rs = new RecordSet();
        String tableName = Util.null2String(params.get("tableName"));
        String status = Util.null2String(params.get("status"));
        String billId = Util.null2String(params.get("billId"));
        rs.executeUpdate("update "+tableName+" set rzzt = ? where id = ?",status,billId);
        apidatas.put("msg","success");
        return apidatas;
    }
}
