package com.engine.leshanvc.web;

import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.leshanvc.service.ResourceCardService;
import com.engine.leshanvc.service.impl.ResourceCardServiceImpl;
import com.engine.leshanvc.util.ResponseResult;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/04/20
 * @version: 1.0
 */
public class ResourceCardAction {

    public ResourceCardService getService(User user) {
        return ServiceUtil.getService(ResourceCardServiceImpl.class, user);
    }


    @POST
    @Path("/editResourceCard")
    @Produces(MediaType.APPLICATION_JSON)
    public String rangeLimit(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        User user = HrmUserVarify.getUser(request, response);
        return new ResponseResult<Map<String, Object>, Map<String, Object>>(user).run(getService(user)::editResourceCard, ParamUtil.request2Map(request));
    }
}
