package weaver.interfaces.hansang.job;


import com.engine.kq.biz.KQFormatData;
import weaver.common.DateUtil;
import weaver.conn.RecordSet;
import weaver.general.Util;
import weaver.interfaces.schedule.BaseCronJob;

/**
 * @author wanxq
 * @date 2023年10月20日13:38:45
 * @desc 离职更新考勤报表
 */
public class DepartRefreshKqReportJob extends BaseCronJob {

    @Override
    public void execute() {

        String currentDate = DateUtil.getCurrentDate();
        RecordSet rs = new RecordSet();
        RecordSet rs2 = new RecordSet();
        KQFormatData kqFormatData = new KQFormatData();
        //更新合同结束日期
        String lzSql = " select id,field82 from cus_fielddata where scopeid=3 and field82=? ";
        rs.executeQuery(lzSql,currentDate);
        while(rs.next()){
            String id = Util.null2String(rs.getString("id"));

            String updateSql = " update hrmresource set enddate=? where id=? and (enddate='' or enddate is null) ";
            rs2.executeUpdate(updateSql,currentDate,id);

            //刷新考勤报表
            kqFormatData.formatKqDate(id,currentDate);
        }

        //更新合同开始日期
        String rzSql = " select id from hrmresource where companystartdate=? ";
        rs.executeQuery(rzSql,currentDate);
        while(rs.next()){
            String id = Util.null2String(rs.getString("id"));

            String updateSql = " update hrmresource set startdate=? where id=? and (startdate='' or startdate is null) ";
            rs2.executeUpdate(updateSql,currentDate,id);
        }


    }




}
